# prettierForViteReact

## Installation Script for ViteReact Project

This script configures a ViteReact project with Prettier, ESLint, and TypeScript. It installs necessary dependencies, creates configuration files, and modifies the `package.json` file to include a format script.

### Features

- Installs Prettier and ESLint dependencies
- Creates `.prettierrc` and `.prettierignore` configuration files
- Modifies `package.json` to include a format script
- Configures ESLint to use Prettier

### Usage

1. Clone the repository
2. Run the script by executing `bash script.sh` (assuming the script is named `script.sh`)
3. Follow the prompts to complete the configuration

### Configuration Files

- **.prettierrc**: Configures Prettier settings
- **.prettierignore**: Specifies files and directories to ignore for Prettier
- **.eslintrc.cjs**: Configures ESLint settings

### Credits

- Marcelo Robin
- Jesús García

### License

This project is licensed under the MIT License. See `LICENSE.txt` for more information.

### Contributing

Contributions are welcome. If you have a suggestion or improvement, please fork the repository and create a pull request.

### Contact

For any questions or issues, please contact Synergy2Devs.

### Acknowledgments

- Prettier
- ESLint
- Vite
